import { request } from '@/api/index.js'

/**
 * 用户登录接口
 * @param {String} username 用户名
 * @param {String} password 密码
 */
export function login(username,password){
	return request({
		url: '/api/user/login',
		method: 'POST',
		data: {
			username,
			password
		}
	})
}

/**
 * 获取用户信息接口
 */
export function userInfo(){
	return request({
		url: '/api/user/info',
		method: 'GET'
	})
}

/**
 * 设置用户头像接口
 * 头像图片地址需要先调用上传或者从媒体库取。
 * @param {String} avatar 头像图片的网络地址
 */
export function setUserAvatar(avatar){
	return request({
		url: '/api/user/avatar',
		method: 'POST',
		data: {
			avatar
		}
	})
}

/**
 * 获取密码重置手机短信接口
 * @param {String} country_code 国家代码
 * @param {String} phone 手机号码
 */
export function getResetPhoneCode(country_code,phone){
	return request({
		url: '/api/user/get-reset-phone-code',
		method: 'POST',
		data: {
			country_code,
			phone
		}
	})
	
}

/**
 * 获取密码重置token接口
 * @param {String} country_code 手机对应的国家代码
 * @param {String} phone 手机号码
 * @param {String} valid_code 接收到的手机验证码
 */
export function getPasswordResetToken(country_code,phone,valid_code){
	return request({
		url: '/api/user/get-reset-token',
		method: 'POST',
		data: {
			country_code,
			phone,
			valid_code
		}
	})
	
}

/**
 * 重置密码接口
 * @param {String} password 新密码
 * @param {String} confirm_password 重复新密码
 * @param {String} reset_token 来自getPasswordResetToken接口的token
 */
export function resetPasswordByToken(password,confirm_password,reset_token){
	return request({
		url: '/api/user/reset-pwd-by-token',
		method: 'POST',
		data: {
			password,
			confirm_password,
			reset_token
		}
	})
	
}